Skip to navigation

Reports Get Membership

Deprecated
View as Markdown

Retrieves reporting data about a team’s membership. Deprecated: Will be removed on July 1st 2021.

Required scope: team_info.read

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects a nullable object.
end_datedate or nullOptional

Optional ending date (exclusive).

start_datedate or nullOptional

Optional starting date (inclusive). If start_date is None or too long ago, this field will be set to 6 months ago.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
start_datestring

First date present in the results as ‘YYYY-MM-DD’ or None.

licenseslist of nullable uint64s
The total number of licenses the team has, for each day.
members_joinedlist of nullable uint64s
The number of members that joined the team, for each day.
pending_inviteslist of nullable uint64s
The number of pending invites to the team, for each day.
suspended_memberslist of nullable uint64s
The number of suspended team members, for each day.
team_sizelist of nullable uint64s
Team size, for each day.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error